| LicenseSpring .Net SDK 8.1.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.VersionInfo Class Reference

Contains data about product version. More...

Inheritance diagram for LicenseSpring.VersionInfo:

## Public Member Functions
| VersionInfo ()
| Default VerisionInfo constructor.

## Properties
string | Channel`[get, set]`
| Version channel (i.e. production, staging...)
DateTime | CreatedAtUtc`[get, set]`
| Time in UTC when the version info was created. `DateTime.MinValue` if not set.
bool | Enabled`[get, set]`
| Is version enabled.
string | Environment`[get, set]`
| Version environment (i.e. Linux, Windows...)
string | EulaLink`[get, set]`
| Link to EULA document.
string | FileName`[get, set]`
| Name of version install file.
string | HashMd5`[get, set]`
| Version file hash.
double | Id`[get, set]`
| Version info id.
string | LinkToFile`[get, set]`
| Link to version install file.
double | ProductId`[get, set]`
| Product id this version belongs to.
DateTime | ReleaseDate`[get, set]`
| Version release date. `DateTime.MinValue` if not set.
string | ReleaseNotesLink`[get, set]`
| Link to release notes document.
string | RequiresVersion`[get, set]`
| Which previous version must exist for this version to work.
string | Size`[get, set]`
| Version file size.
DateTime | UpdatedAtUtc`[get, set]`
| Time in UTC of last version info update. `DateTime.MinValue` if not set.
string | Version`[get, set]`
| Version designation.
Properties inherited from LicenseSpring.IVersionInfo

## Detailed Description

Contains data about product version.

## Property Documentation

## ◆ Channel

string LicenseSpring.VersionInfo.Channel
| get set

Version channel (i.e. production, staging...)

Implements LicenseSpring.IVersionInfo.

## ◆ CreatedAtUtc

DateTime LicenseSpring.VersionInfo.CreatedAtUtc
| get set

Time in UTC when the version info was created. `DateTime.MinValue` if not set.

Implements LicenseSpring.IVersionInfo.

## ◆ Enabled

bool LicenseSpring.VersionInfo.Enabled
| get set

Is version enabled.

Implements LicenseSpring.IVersionInfo.

## ◆ Environment

string LicenseSpring.VersionInfo.Environment
| get set

Version environment (i.e. Linux, Windows...)

Implements LicenseSpring.IVersionInfo.

## ◆ EulaLink

string LicenseSpring.VersionInfo.EulaLink
| get set

Link to EULA document.

Implements LicenseSpring.IVersionInfo.

## ◆ FileName

string LicenseSpring.VersionInfo.FileName
| get set

Name of version install file.

Implements LicenseSpring.IVersionInfo.

## ◆ HashMd5

string LicenseSpring.VersionInfo.HashMd5
| get set

Version file hash.

Implements LicenseSpring.IVersionInfo.

## ◆ Id

double LicenseSpring.VersionInfo.Id
| get set

Version info id.

Implements LicenseSpring.IVersionInfo.

## ◆ LinkToFile

string LicenseSpring.VersionInfo.LinkToFile
| get set

Link to version install file.

Implements LicenseSpring.IVersionInfo.

## ◆ ProductId

double LicenseSpring.VersionInfo.ProductId
| get set

Product id this version belongs to.

Implements LicenseSpring.IVersionInfo.

## ◆ ReleaseDate

DateTime LicenseSpring.VersionInfo.ReleaseDate
| get set

Version release date. `DateTime.MinValue` if not set.

Implements LicenseSpring.IVersionInfo.

## ◆ ReleaseNotesLink

string LicenseSpring.VersionInfo.ReleaseNotesLink
| get set

Link to release notes document.

Implements LicenseSpring.IVersionInfo.

## ◆ RequiresVersion

string LicenseSpring.VersionInfo.RequiresVersion
| get set

Which previous version must exist for this version to work.

Implements LicenseSpring.IVersionInfo.

## ◆ Size

string LicenseSpring.VersionInfo.Size
| get set

Version file size.

Implements LicenseSpring.IVersionInfo.

## ◆ UpdatedAtUtc

DateTime LicenseSpring.VersionInfo.UpdatedAtUtc
| get set

Time in UTC of last version info update. `DateTime.MinValue` if not set.

Implements LicenseSpring.IVersionInfo.

## ◆ Version

string LicenseSpring.VersionInfo.Version
| get set

Version designation.

Implements LicenseSpring.IVersionInfo.

The documentation for this class was generated from the following file:

- VersionInfo.cs